Skip to main content
GET
/
storefronts
/
{storefrontId}
/
dashboard-summary
Get seller dashboard summary
curl --request GET \
  --url https://api.interchange.io/api/v2/storefront/storefronts/{storefrontId}/dashboard-summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.interchange.io/api/v2/storefront/storefronts/{storefrontId}/dashboard-summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.interchange.io/api/v2/storefront/storefronts/{storefrontId}/dashboard-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "schemaVersion": "seller-dashboard-summary/v1",
  "generatedAt": "<string>",
  "closer": {
    "totalBriefs": 4503599627370495,
    "wonBriefs": 4503599627370495,
    "quotedBriefs": 4503599627370495,
    "declinedBriefs": 4503599627370495,
    "pendingBriefs": 4503599627370495,
    "decidedBriefs": 4503599627370495,
    "closeRate": 50,
    "bookedBriefBudget": {
      "value": 123,
      "currencyCode": "<string>",
      "nullableReason": "<string>"
    },
    "recentDecisions": [
      {
        "id": "<string>",
        "label": "<string>",
        "value": 123,
        "currencyCode": "<string>",
        "detail": "<string>"
      }
    ],
    "coverage": {
      "label": "<string>"
    }
  }
}
{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}
{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}
{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}
{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

storefrontId
integer
required
Required range: 1 <= x <= 9007199254740991

Response

Get seller dashboard summary

Central seller dashboard summary contract for server-owned dashboard capabilities.

schemaVersion
enum<string>
required
Available options:
seller-dashboard-summary/v1
generatedAt
string
required
closer
object
required

Seller-side Closer widget summary derived from this storefront’s own demand-signal response state.